#!/bin/sh

# tests all 20 builtin problems, using depth search ranging from
# 1 to 12 (which is always sufficient to reach the conclusion)
#
# The user needs to check that for a given value, the results
# are increasing with respect to the usual order on N \cup \{\infty\}
# and that the final result is correct (see input.ml for this).
#
# I hope to automate this soon, but I'm loosy at shell scripts.

for B in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 ; do 
  echo -e "\n$B" ;
  for A in 1 2 3 4 5 6 7 8 9 10 11 12 ; 
    do ./applyomatic --fin_search_depth $A --pb_builtin $B ; 
  done ; 
done
