type var = int

type t
val compare : t -> t -> int

type or_nb = int
type prop = Var of var | Arrow of t * t | And of t list | Or of or_nb * t list

val pvar : var -> t
val parrow : t -> t -> t
val pand : t list -> t
val por : or_nb -> t list -> t

val prop_of_t : t -> prop

val to_string_text : t -> string
val to_string_latex : t -> string
val to_string_ocaml : ?expand_top_or:bool -> t -> string
val to_string_parseable : ?expand_top_or:bool -> t -> string
val to_string : t -> string
