(* $Id: fifo.mli,v 1.1 2005/12/14 13:42:29 lefessan Exp $ *)
(*<HEADER>*)
(*<HEADER>*)(* Authors: Anh-Tuan Gai, Fabrice Le Fessant and Laurent Viennot *)
(*<HEADER>*)(* Copyright INRIA 2005                                          *)
(*<HEADER>*)

exception Empty
type 'a t
val create : unit -> 'a t
val put : 'a t -> 'a -> unit
val mem : 'a t -> 'a -> bool
val take : 'a t -> 'a
val clear : 'a t -> unit
val head : 'a t -> 'a
val empty : 'a t -> bool
val to_list : 'a t -> 'a list
val length : 'a t -> int
val put_back_ele : 'a t -> 'a -> unit
val put_back : 'a t -> 'a list -> unit
val iter: ('a -> unit) -> 'a t -> unit
val remove : 'a t -> 'a -> unit
  
val to_array : 'a t -> 'a array
